Subject: Re: examples of setting ip address/netmask/etc.. on a device

From: Roland Dreier <[email-masked]>
Date: Tue, 12 Dec 2006 14:08:46 -0800

> I was wondering if there were any examples of net devices that expect
 > to be told the ip information for their connection (things doing
 > forms of offload).  If so can someone point me at a driver that does
 > this.

I don't know much about the HW details but drivers/infiniband/hw/amso1100
does something like that.  drivers/infiniband is somewhat misnamed
these days but amso1100 is a driver for RDMA over ethernet hardware.